<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.MusicGroupMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.MusicGroup">
        <id column="id_" property="id" />
        <result column="name_" property="name" />
        <result column="organ_id_" property="organId" />
        <result column="school_id_" property="schoolId" />
        <result column="apply_expire_date_" property="applyExpireDate" />
        <result column="team_teacher_id_" property="teamTeacherId" />
        <result column="educational_teacher_id_" property="educationalTeacherId" />
        <result column="charge_type_id_" property="chargeTypeId" />
        <result column="course_form_" property="courseForm" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="status_" property="status" />
        <result column="bill_start_date_" property="billStartDate" />
        <result column="improvent_classes_num_" property="improventClassesNum" />
        <result column="enroll_classes_" property="enrollClasses" />
        <result column="payment_expire_date_" property="paymentExpireDate" />
        <result column="is_extra_class_" property="isExtraClass" />
        <result column="cooperation_organ_id_" property="cooperationOrganId" />
        <result column="enlightenment_course_time_" property="enlightenmentCourseTime" />
        <result column="parent_meeting_time_" property="parentMeetingTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, name_, organ_id_, school_id_, apply_expire_date_, team_teacher_id_, educational_teacher_id_, charge_type_id_, course_form_, create_time_, update_time_, status_, bill_start_date_, improvent_classes_num_, enroll_classes_, payment_expire_date_, is_extra_class_, cooperation_organ_id_, enlightenment_course_time_, parent_meeting_time_
    </sql>

</mapper>
